:: usage
:: > install_htc_tools.bat  // Install HtcTools

@echo off
echo ===========================================================================
echo %0
echo ===========================================================================

setlocal
set WindowStyle=Normal
set SCRIPT_DIRECTORY=%~dp0

:: 第1引数で --checkenv を渡したとき (＝NDI のポストインストールハンドラから呼び出されるとき) だけ NINTENDOSDK_NOINSTALL_TARGET_MANAGER 環境変数をチェックする
if "%1"=="--checkenv" (
    echo [NINTENDOSDK_NOINSTALL_TARGET_MANAGER] ^(%NINTENDOSDK_NOINSTALL_TARGET_MANAGER%^)
    if "%NINTENDOSDK_NOINSTALL_TARGET_MANAGER%"=="TRUE" (
        goto :ExitWithDoNothing
    ) else if "%NINTENDOSDK_NOINSTALL_TARGET_MANAGER%"=="True" (
        goto :ExitWithDoNothing
    ) else if "%NINTENDOSDK_NOINSTALL_TARGET_MANAGER%"=="true" (
        goto :ExitWithDoNothing
    ) else if "%NINTENDOSDK_NOINSTALL_TARGET_MANAGER%"=="1" (
        goto :ExitWithDoNothing
    )
)

:: ---- Install HtcTools.msi ---
pushd %SCRIPT_DIRECTORY%

call msiexec /passive /i "HtcTools.msi"
set RESULT=%ERRORLEVEL%
echo [RESULT] %RESULT%

popd

endlocal
exit /b %RESULT%

:: -----------------------------------------------------------------------------
:ExitWithDoNothing
echo exit ^(do nothing^)
echo ... because NINTENDOSDK_NOINSTALL_TARGET_MANAGER is 1/TRUE/True/true
exit /b
